
#pragma ident "@(#)usr_caImp.h	2.9 97/12/19 Copyright SMI"

/******************************************************************************
 *		Copyright (c) 1995 by Sun Microsystems, Inc.		      *
 *			All Rights Reserved				      *
 ******************************************************************************/

/****************************************************************************/
/*  File Name: 		usr_caImp.h                                         */
/*  Creation date:	01/01/93                                            */
/*--------------------------------------------------------------------------*/
/*                                                                          */
/*  Description:                                                            */
/*  -----------                                                             */
/*    This file contains all the "import" definitions from the CMIS         */
/*    and COMMON XMP packages by the core agent.                            */
/*                                                                          */
/****************************************************************************/

#ifndef _USR_CAIMP_H
#define _USR_CAIMP_H

#ifdef  __cplusplus
extern "C" {
#endif

/* Import declaration from the XOM package */
/*-----------------------------------------*/
OM_IMPORT(OM_C_ENCODING)

/* Import declarations from the COMMON package */
/*---------------------------------------------*/
OM_IMPORT(MP_COMMON_PKG)

OM_IMPORT(MP_C_AVA)
OM_IMPORT(MP_C_COMMUNICATIONS_ERROR)
OM_IMPORT(MP_C_CONTEXT)
OM_IMPORT(MP_C_DS_DN)
OM_IMPORT(MP_C_DS_RDN)
OM_IMPORT(MP_C_PRESENTATION_ADDRESS)
OM_IMPORT(MP_C_SESSION)

/* Import declarations from the CMIP package */
/*-------------------------------------------*/
OM_IMPORT(MP_CMIS_PKG)

OM_IMPORT(MP_C_ACTION_ERROR)
OM_IMPORT(MP_C_ACTION_ERROR_INFO)
OM_IMPORT(MP_C_ACTION_REPLY)
OM_IMPORT(MP_C_ACTION_TYPE_ID)
OM_IMPORT(MP_C_ATTRIBUTE)
OM_IMPORT(MP_C_ATTRIBUTE_ERROR)
OM_IMPORT(MP_C_ATTRIBUTE_ID)
OM_IMPORT(MP_C_ATTRIBUTE_ID_ERROR)
OM_IMPORT(MP_C_BASE_MANAGED_OBJECT_ID)
OM_IMPORT(MP_C_CMIS_ACTION_RESULT)
OM_IMPORT(MP_C_CMIS_CREATE_ARGUMENT)
OM_IMPORT(MP_C_CMIS_CREATE_RESULT)
OM_IMPORT(MP_C_CMIS_DELETE_RESULT)
OM_IMPORT(MP_C_CMIS_EVENT_REPORT_ARGUMENT)
OM_IMPORT(MP_C_CMIS_FILTER)
OM_IMPORT(MP_C_CMIS_GET_ARGUMENT)
OM_IMPORT(MP_C_CMIS_GET_RESULT)
OM_IMPORT(MP_C_CMIS_GET_LIST_ERROR)
OM_IMPORT(MP_C_CMIS_SET_LIST_ERROR)
OM_IMPORT(MP_C_CMIS_LINKED_REPLY_ARGUMENT)
OM_IMPORT(MP_C_CMIS_SERVICE_ERROR)
OM_IMPORT(MP_C_CMIS_SET_RESULT)
OM_IMPORT(MP_C_DELETE_ERROR)
OM_IMPORT(MP_C_ERROR_INFO)
/* NPCTE fix for bugid 4086907 esc 511606. <J.C.> < 17-Nov-1997> */
OM_IMPORT(MP_C_EVENT_TYPE_ID)
/* end of NPCTE fix for bugid 4086907 */
OM_IMPORT(MP_C_GET_INFO_STATUS)
OM_IMPORT(MP_C_INVALID_ARGUMENT_VALUE)
OM_IMPORT(MP_C_NO_SUCH_ACTION)
OM_IMPORT(MP_C_NO_SUCH_ACTION_ID)
OM_IMPORT(MP_C_NO_SUCH_ARGUMENT)
OM_IMPORT(MP_C_OBJECT_CLASS)
OM_IMPORT(MP_C_OBJECT_INSTANCE)
OM_IMPORT(MP_C_PROCESSING_FAILURE)
OM_IMPORT(MP_C_SCOPE)
OM_IMPORT(MP_C_SET_INFO_STATUS)
#if CMIP_VERSION != 80
OM_IMPORT(MP_C_SETOF_ATTRIBUTE)
OM_IMPORT(MP_C_SETOF_GET_INFO_STATUS)
OM_IMPORT(MP_C_SETOF_SET_INFO_STATUS)
#endif
OM_IMPORT(MP_C_SPECIFIC_ERROR_INFO)

#ifdef  __cplusplus
}
#endif
 
 
#endif  /* _USR_CAIMP_H */

